#include "normalizer.h"

#include <saas/rtyserver/config/config.h>
#include <saas/rtyserver/config/realm_config.h>

const NOxygen::TOxygenOptions* NRTYServer::TOxygenNormalizer::GetOxygenOptions(const NRTYServer::TNormalizerContext& context) const {
    CHECK_WITH_LOG(context.Index);
    return Config.GetRealmListConfig().GetRealmConfigByConfigName(context.Index->GetRealmName()).GetOxygenOptions();
}
